Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenContainerBase

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenCommonBase, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  GenChildContainer, GenChildLabelNode, GenChildNode, GenChildSideAffixedNode, GenCompartment, GenDiagram, GenNode, GenTopLevelNode

All Known Implementing Classes:
  GenChildContainerImpl, GenChildLabelNodeImpl, GenChildNodeImpl, GenChildSideAffixedNodeImpl, GenCompartmentImpl, GenDiagramImpl, GenNodeImpl, GenTopLevelNodeImpl

    public interface GenContainerBase

extends GenCommonBase

A representation of the model object 'Gen Container Base'.

The following features are supported:

- `Contained Nodes`
- `Canonical Edit Policy Class Name`

See Also:
  `GMFGenPackage.getGenContainerBase()`
** Generated **
Model:
  interface="true" abstract="true"

Field Summary
`static java.lang.String` `CANONICAL_EDIT_POLICY_SUFFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`org.eclipse.emf.common.util.EList<GenNode>` `getAssistantNodes()` Returns child nodes that may be created in this container
`java.lang.String` `getCanonicalEditPolicyClassName()` Returns the value of the 'Canonical Edit Policy Class Name' attribute
`java.lang.String` `getCanonicalEditPolicyQualifiedClassName()`
`org.eclipse.emf.common.util.EList<GenNode>` `getContainedNodes()` Returns the value of the 'Contained Nodes' reference list.
`boolean` `needsCanonicalEditPolicy()`
`void` `setCanonicalEditPolicyClassName(java.lang.String value)` Sets the value of the '`Canonical Edit Policy Class Name`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getBehaviour, getBehaviour, getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getStyles, getUniqueIdentifier, getViewmap, getVisualID, isSansDomain, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### CANONICAL_EDIT_POLICY_SUFFIX

    static final java.lang.String CANONICAL_EDIT_POLICY_SUFFIX

See Also:
  Constant Field Values

Method Detail

### getContainedNodes

    org.eclipse.emf.common.util.EList<GenNode> getContainedNodes()

  Returns the value of the 'Contained Nodes' reference list. The list contents are of type `GenNode`.

  If the meaning of the 'Contained Nodes' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Contained Nodes' reference list.
  See Also:
    `GMFGenPackage.getGenContainerBase_ContainedNodes()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

### getCanonicalEditPolicyClassName

    java.lang.String getCanonicalEditPolicyClassName()

  Returns the value of the 'Canonical Edit Policy Class Name' attribute.

  If the meaning of the 'Canonical Edit Policy Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Canonical Edit Policy Class Name' attribute.
  See Also:
    `setCanonicalEditPolicyClassName(String)`, `GMFGenPackage.getGenContainerBase_CanonicalEditPolicyClassName()`
  ** Generated **
  Model:

### setCanonicalEditPolicyClassName

    void setCanonicalEditPolicyClassName(java.lang.String value)

  Sets the value of the '`Canonical Edit Policy Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Canonical Edit Policy Class Name' attribute.
  See Also:
    `getCanonicalEditPolicyClassName()`
  ** Generated **

### getAssistantNodes

    org.eclipse.emf.common.util.EList<GenNode> getAssistantNodes()

  Returns child nodes that may be created in this container

  ** Generated **
  Model:
    kind="operation"

### needsCanonicalEditPolicy

    boolean needsCanonicalEditPolicy()

  ** Generated **
  Model:

### getCanonicalEditPolicyQualifiedClassName

    java.lang.String getCanonicalEditPolicyQualifiedClassName()

  ** Generated **
  Model:
    kind="operation"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.